{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    domain0
    domain1
    ;

  name = "smtp";
in
{
  hostname = "smtp.migadu.com";
  name = name;
  ports = {
    port0 = 465; # TLS
    port1 = 587; # StartTLS
  };
  email = {
    address0 = "noreply@${domain0}";
    address1 = "noreply@${domain1}";
  };
  records = {
    record0 = "tls";
    record1 = "starttls";
  };
}
